import 'package:agrilink_vocpro/core/constant/app_theme.dart';
import 'package:agrilink_vocpro/features/setting/provider/setting_provider.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:provider/provider.dart';

class AccountScreen extends StatelessWidget {
  const AccountScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Detail Account', style: AppTheme.labelMedium),
        centerTitle: true,
        backgroundColor: Colors.white,
        scrolledUnderElevation: 0,
      ),
      body: Consumer<SettingProvider>(builder: (context, provider, child) {
        return ListView(
          padding: EdgeInsets.all(16.r),
          children: [
            ListTile(
              title: Text('Username', style: AppTheme.labelMedium),
              trailing: Text(provider.userName, style: AppTheme.labelSmall),
            ),
            ListTile(
              title: Text('Email', style: AppTheme.labelMedium),
              trailing: Text(provider.userEmail, style: AppTheme.labelSmall),
            ),
            ListTile(
              title: Text('Name', style: AppTheme.labelMedium),
              trailing: Text(provider.userFullName, style: AppTheme.labelSmall),
            ),
          ],
        );
      }),
    );
  }
}
